%define upstream_name    Email-MIME-CreateHTML
%define upstream_version 1.041

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Finds resources via the filesystem
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Serializer)
BuildRequires: perl(Email::MIME::Creator)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp::WithinPolicy)
BuildRequires: perl(HTML::Tagset)
BuildRequires: perl(HTML::TokeParser::Simple) >= 3.150.0
BuildRequires: perl(HTML::TreeBuilder::XPath)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Log::Trace)
BuildRequires: perl(MIME::Parser)
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Test::Assertions)
BuildRequires: perl(Test::Assertions::TestScript)
BuildRequires: perl(URI::file)
BuildRequires: perl(common::sense)

BuildArch:  noarch

%description
This module allows you to build HTML emails, optionally with a text-only
alternative and embedded media objects. For example, an HTML email with an
alternative version in plain text and with all the required images
contained in the mail.

The HTML content is parsed looking for embeddable media objects. A resource
loading routine is used to fetch content from those URIs and replace the
URIs in the HTML with CIDs. The default resource loading routine is
deliberately conservative, only allowing resources to be fetched from the
local filesystem. It's possible and relatively straightforward to plug in a
custom resource loading routine that can resolve URIs using a broader range
of protocols. An example of one using LWP is given later in the the
/COOKBOOK manpage.

The MIME structure is then assembled, embedding the content of the
resources where appropriate. Note that this module does not send any mail,
it merely does the work of building the appropriate MIME message. The
message can be sent with the Email::Send manpage or any other mailer that
can be fed a string representation of an email message.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc COPYING Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.41.0-4pclos2017
- rebuild against updates

